package domain


type AlibabaWdkMerchantRoutingRegisterApiResult struct {
    /*
        调用结果返回成功失败     */
    Model  *bool `json:"model,omitempty" `

    /*
        调用接口错误信息     */
    ErrMsg  *string `json:"err_msg,omitempty" `

    /*
        调用接口错误码     */
    ErrCode  *string `json:"err_code,omitempty" `

    /*
        调用接口成功失败     */
    Success  *bool `json:"success,omitempty" `

}

func (s *AlibabaWdkMerchantRoutingRegisterApiResult) SetModel(v bool) *AlibabaWdkMerchantRoutingRegisterApiResult {
    s.Model = &v
    return s
}
func (s *AlibabaWdkMerchantRoutingRegisterApiResult) SetErrMsg(v string) *AlibabaWdkMerchantRoutingRegisterApiResult {
    s.ErrMsg = &v
    return s
}
func (s *AlibabaWdkMerchantRoutingRegisterApiResult) SetErrCode(v string) *AlibabaWdkMerchantRoutingRegisterApiResult {
    s.ErrCode = &v
    return s
}
func (s *AlibabaWdkMerchantRoutingRegisterApiResult) SetSuccess(v bool) *AlibabaWdkMerchantRoutingRegisterApiResult {
    s.Success = &v
    return s
}
